ClusterManagementRealizationResult (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.api, class: ClusterManagementRealizationResult

Package org.apache.geode.management.api

# Class ClusterManagementRealizationResult

java.lang.Object
org.apache.geode.management.api.ClusterManagementResult
org.apache.geode.management.api.ClusterManagementRealizationResult

All Implemented Interfaces:
  `Serializable`

@Experimental public class ClusterManagementRealizationResult extends ClusterManagementResult

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.geode.management.api.ClusterManagementResult

  `ClusterManagementResult.StatusCode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClusterManagementRealizationResult()`
  for internal use only
  `ClusterManagementRealizationResult(ClusterManagementResult.StatusCode statusCode, String message)`
  for internal use only

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMemberStatus(RealizationResult result)`
  for internal use only
  `List<RealizationResult>`
  `getMemberStatuses()`
  For a `ClusterManagementService.create(AbstractConfiguration)` operation, this will return per-member status of the create.
  `String`
  `toString()`
  Returns the status code and message

  ### Methods inherited from class org.apache.geode.management.api.ClusterManagementResult

  `equals, getStatusCode, getStatusMessage, hashCode, isSuccessful, setLinks, setStatus`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClusterManagementRealizationResult

    public ClusterManagementRealizationResult()
    for internal use only

  - ### ClusterManagementRealizationResult

    public ClusterManagementRealizationResult(ClusterManagementResult.StatusCode statusCode, String message)
    for internal use only
    Parameters:
      `statusCode` - the `StatusCode` to set
      `message` - the status message to set

- ## Method Details

  - ### addMemberStatus

    public void addMemberStatus(RealizationResult result)
    for internal use only
    Parameters:
      `result` - the result to add

  - ### getMemberStatuses

    public List<RealizationResult> getMemberStatuses()
    For a `ClusterManagementService.create(AbstractConfiguration)` operation, this will return per-member status of the create.
    Returns:
      a list of `RealizationResult`s

  - ### toString

    public String toString()
    Description copied from class: `ClusterManagementResult`
    Returns the status code and message
    Overrides:
      `toString` in class `ClusterManagementResult`
    Returns:
      the status code and message as a String